package com.seeyon.apps.esign.po.signer;

import com.seeyon.apps.esign.po.signfield.SignFieldPosition;

import java.util.List;

public class SignParty {

    /** 唯一标识（非必需，但强烈建议） */
    private String partyId;

    /** 签署顺序 */
    private int signOrder;

    /** 签署类型：PERSON / ORG */
    private SignerType signerType;

    /** 是否自动签 */
    private Boolean autoSign = false;

    /** 印章ID（企业签） */
    private String sealId;

    /** 通知手机号 */
    private String notifyPhone;

    /** 个人信息 */
    private PersonInfo personInfo;

    /** 企业信息 */
    private OrgInfo orgInfo;

    /** 签署位置 */
    private List<SignFieldPosition> positions;

    /** 签署关键字（可为空） */
    private String signKeyword;
    private Float qfPos;

    private Boolean freeSign = false;
    private Boolean signAcrossPage = true; //是否盖骑缝章

    public Boolean getFreeSign() {
        return freeSign;
    }

    public void setFreeSign(Boolean freeSign) {
        this.freeSign = freeSign;
    }

    public String getPartyId() {
        return partyId;
    }

    public void setPartyId(String partyId) {
        this.partyId = partyId;
    }

    public int getSignOrder() {
        return signOrder;
    }

    public void setSignOrder(int signOrder) {
        this.signOrder = signOrder;
    }

    public SignerType getSignerType() {
        return signerType;
    }

    public void setSignerType(SignerType signerType) {
        this.signerType = signerType;
    }

    public Boolean getAutoSign() {
        return autoSign;
    }

    public void setAutoSign(Boolean autoSign) {
        this.autoSign = autoSign;
    }

    public String getSealId() {
        return sealId;
    }

    public void setSealId(String sealId) {
        this.sealId = sealId;
    }

    public String getNotifyPhone() {
        return notifyPhone;
    }

    public void setNotifyPhone(String notifyPhone) {
        this.notifyPhone = notifyPhone;
    }

    public PersonInfo getPersonInfo() {
        return personInfo;
    }

    public void setPersonInfo(PersonInfo personInfo) {
        this.personInfo = personInfo;
    }

    public OrgInfo getOrgInfo() {
        return orgInfo;
    }

    public void setOrgInfo(OrgInfo orgInfo) {
        this.orgInfo = orgInfo;
    }

    public List<SignFieldPosition> getPositions() {
        return positions;
    }

    public void setPositions(List<SignFieldPosition> positions) {
        this.positions = positions;
    }

    public String getSignKeyword() {
        return signKeyword;
    }

    public void setSignKeyword(String signKeyword) {
        this.signKeyword = signKeyword;
    }

    public Float getQfPos() {
        return qfPos;
    }

    public void setQfPos(Float qfPos) {
        this.qfPos = qfPos;
    }

    public Boolean getSignAcrossPage() {
        return signAcrossPage;
    }

    public void setSignAcrossPage(Boolean signAcrossPage) {
        this.signAcrossPage = signAcrossPage;
    }
}